=== debian/control ===
Source: ros-kinetic-nav-2d-utils
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-nav-2d-msgs, ros-kinetic-nav-core2, ros-kinetic-nav-grid, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-xmlrpcpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-nav-2d-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-nav-2d-msgs, ros-kinetic-nav-core2, ros-kinetic-nav-grid, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-xmlrpcpp
Description: A handful of useful utility functions for nav_core2 packages.
